package com.zcloud.zcGbsServicer.api;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;
import com.zcloud.zcGbsServicer.dto.AlarmRecordAddCmd;
import com.zcloud.zcGbsServicer.dto.AlarmRecordClearCmd;
import com.zcloud.zcGbsServicer.dto.AlarmRecordHandleCmd;
import com.zcloud.zcGbsServicer.dto.AlarmRecordPageQry;
import com.zcloud.zcGbsServicer.dto.clientobject.AlarmRecordCO;

public interface AlarmRecordServiceI {

    PageResponse<AlarmRecordCO> listPage(AlarmRecordPageQry qry);

    SingleResponse<AlarmRecordCO> add(AlarmRecordAddCmd cmd);

    AlarmRecordCO get(Long id);

    void handle(AlarmRecordHandleCmd cmd);

    void clear(AlarmRecordClearCmd cmd);
}
